<?php 
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

function Front2Back_content($content, $image)
{
	global $template, $conf;
	
	/* Default values */
	if (!isset($conf['Front2Back_dir'])) $conf['Front2Back_dir'] = 'verso/'; 
	if (!isset($conf['Front2Back_parent'])) $conf['Front2Back_parent'] = 'thumbnail/';
	if (!isset($conf['Front2Back_hd_parent'])) $conf['Front2Back_hd_parent'] = 'pwg_high/';
	if (!isset($conf['Front2Back_path']))
		$conf['Front2Back_inside']= true;
	else 
		$conf['Front2Back_inside']= false; 

	/* dirs and files */
	if ( $conf['Front2Back_inside'] ) {
		$verso_dir = str_replace($image['file'], null, $image['path']) . $conf['Front2Back_parent'] . $conf['Front2Back_dir'];
		$hd_dir = str_replace($image['file'], null, $image['path']) . $conf['Front2Back_hd_parent'] . $conf['Front2Back_dir'];
	} else {
		$verso_dir = $conf['Front2Back_path'] . $conf['Front2Back_parent'] . $conf['Front2Back_dir'];
		$hd_dir = $conf['Front2Back_path'] . $conf['Front2Back_hd_parent'] . $conf['Front2Back_dir'];
	}
	$rotat_file = substr($image['file'],0,-4).'-r'.substr($image['file'],-4);

	$template->set_filenames(array('Front2Back' => dirname(__FILE__) . '/Front2Back.tpl') );
	$template->assign('F2B_PATH', F2B_PATH);

	/* Is there a verso file ? */
	if (is_file($verso_dir.$image['file'])) 
	{
		$template->assign('VERSO_URL', $verso_dir.$image['file']);

		if (is_file($hd_dir.$image['file'])) {
			$template->assign('VERSO_HD', $hd_dir.$image['file']);
		}
	}
	/* useless section, just for retrocompatibility */
	else if (is_file($verso_dir.$rotat_file)) 
	{           
		$template->assign('VERSO_URL', $verso_dir.$rotat_file); 
		
		if (is_file($hd_dir.$rotat_file)) {
			$template->assign('VERSO_HD', $hd_dir.$rotat_file);
		}
	}
	/* otherwise */
	else 
	{
		return $content;
	}
	
	return $content . $template->parse('Front2Back', true);    
}  

?>